{
printf("LIGO Root initialization starting.\n");
//--------------------------------------  Enable the standard I/O
// G__loadfile("iostream.h");

//--------------------------------------  Load the shared libraries.
printf("Loading libraries from $DMTHOME/<VERSION>/lib\n");
gSystem->Load("$DMTHOME/<VERSION>/lib/libgdsbase.so");
gSystem->Load("$DMTHOME/<VERSION>/lib/libgdscntr.so");
gSystem->Load("$DMTHOME/<VERSION>/lib/libclient.so");
gSystem->Load("$DMTHOME/<VERSION>/lib/libframeio.so");
gSystem->Load("$DMTHOME/<VERSION>/lib/libdmtsigp.so");
gSystem->Load("$DMTHOME/<VERSION>/lib/libxsil.so");
gSystem->Load("$DMTHOME/<VERSION>/lib/libgdsevent.so");
// gSystem->Load("$DMTHOME/<VERSION>/lib/libdmtsigp.so");
// gSystem->Load("$DMTHOME/<VERSION>/lib/libdmtsigp.so");
if (!gROOT->IsBatch()) {
    gSystem->Load("$DMTHOME/<VERSION>/lib/libligogui.so");
    gSystem->Load("$DMTHOME/<VERSION>/lib/libdttview.so");
    gSystem->Load("$DMTHOME/<VERSION>/lib/libgdsplot.so");
    TString fi("$DMTHOME/<VERSION>/lib/");
    const char* DmtHome = gSystem->Getenv("DMTHOME");
    if (DmtHome) fi.ReplaceAll("$DMTHOME", DmtHome);
    if (!gSystem->AccessPathName(fi+"libpanel.so")) {
      // gSystem->Load("$DMTHOME/<VERSION>/lib/libpanel.so");
    }
} else {
    printf("Graphics libraries not loaded: Batch mode.\n");
}

//--------------------------------------  Set up the include directories.
G__add_ipath("$DMTHOME/<VERSION>/macros");
G__add_ipath("$DMTHOME/<VERSION>/include");

//--------------------------------------  Create a data access object.
Dacc In;
const char* InPath = gSystem->Getenv("DMTINPUT");
if (!InPath || !*InPath) InPath = "<DMTINPUT>";
if (*InPath) {
    printf("Connecting default input accessor (In) to %s.\n", InPath);
    In.addFile(InPath);
    In.open();
} else {
    printf("Default input accessor (In) not opened. No input file specified.\n");
}

//--------------------------------------  Create a display canvas.
if (!gROOT->IsBatch()) {
    TCanvas gds("cGDS", "GDS Data Monitor Tool");
}

//--------------------------------------  Load some common functions.
gROOT->LoadMacro("uniqueName.cc");
gROOT->LoadMacro("TPlot.cc");
gROOT->LoadMacro("THist.cc");
gROOT->LoadMacro("Bode.cc");
gROOT->LoadMacro("Spectrum.cc");
gROOT->LoadMacro("DatEnv.hh");
// gROOT->LoadMacro("DatEnv.cc");
gROOT->LoadMacro("pTrend.cc");

printf("Root initialization complete\n");
}
