#ifndef _POSIX_SOURCE
#define _POSIX_SOURCE 
#endif
/*-------------------------------------------------------------------*/
/*  Frv.h by B.Mours LAPP (Annecy) October 12, 2000                  */
/*-------------------------------------------------------------------*/
#include "FrameL.h"

#ifdef __cplusplus
extern "C" {
#endif

FrVect *FrvAdd(FrVect *vect1,
               FrVect *vect2,
               FrVect *vect3, char* newName);
FrVect *FrvClone(FrVect *vect1, char* newName);
FrVect *FrvCombine2(double s1,
                    FrVect *vect1,
                    double s2,
                    FrVect *vect2,
                    FrVect *vect3, char* newName);
FrVect *FrvCombine(int nVect,
                   ...);

FrVect *FrvCopyToD(FrVect *vIn, char* newName);
FrVect *FrvCopyToF(FrVect *vIn, char* newName);
FrVect *FrvCopyToI(FrVect *vIn, char* newName);
FrVect *FrvCopyToS(FrVect *vIn, char* newName);

FrVect *FrvMult(FrVect *vect1,
                FrVect *vect2,
                FrVect *vect3, char* newName);
FrVect *FrvScale(double scale,
                 FrVect *vect1,
                 FrVect *vect3, char* newName);
FrVect *FrvSub(FrVect *vect1,
               FrVect *vect2,
               FrVect *vect3, char* newName);
 
int FrvMean(FrVect *vect, double *mean);
int FrvRms (FrVect *vect, double *mean, double *rms);
int FrvDelta(FrVect *vect, double *delta, double *previous);
int FrvDecimate(FrVect *vect, int nGroup);

#ifdef __cplusplus
}
#endif
